libstdc++: __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata > Struct Template Reference

libstdc++

__gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata > Struct Template Reference

`#include <pat_trie_base.hpp>`

Inheritance diagram for __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >:
[legend]

## Public Types
typedef _ATraits::const_iterator | a_const_iterator
typedef detail::rebind_traits< _Alloc, _ATraits >::const_pointer | a_const_pointer
typedef _ATraits | access_traits
typedef _Alloc | allocator_type
typedef detail::rebind_traits< _Alloc, _Node_base >::pointer | node_pointer
typedef _ATraits::type_traits | type_traits

## Public Member Functions
| _Node_base (node_type type)

## Public Attributes
node_pointer | m_p_parent
const node_type | m_type

## Detailed Description

template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >

Node base.

Definition at line 92 of file pat_trie_base.hpp.

## Member Typedef Documentation

## ◆ a_const_iterator

template<typename _ATraits, typename Metadata>

typedef _ATraits::const_iterator __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_iterator

Definition at line 113 of file pat_trie_base.hpp.

## ◆ a_const_pointer

template<typename _ATraits, typename Metadata>

typedef detail::rebind_traits<_Alloc,_ATraits>::const_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_pointer

Definition at line 112 of file pat_trie_base.hpp.

## ◆ access_traits

template<typename _ATraits, typename Metadata>

typedef _ATraits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::access_traits

Definition at line 100 of file pat_trie_base.hpp.

## ◆ allocator_type

template<typename _ATraits, typename Metadata>

typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::allocator_type

Definition at line 99 of file pat_trie_base.hpp.

## ◆ node_pointer

template<typename _ATraits, typename Metadata>

typedef detail::rebind_traits<_Alloc,_Node_base>::pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::node_pointer

Definition at line 103 of file pat_trie_base.hpp.

## ◆ type_traits

template<typename _ATraits, typename Metadata>

typedef _ATraits::type_traits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::type_traits

Definition at line 101 of file pat_trie_base.hpp.

## Constructor & Destructor Documentation

## ◆ _Node_base()

template<typename _ATraits, typename Metadata>

__gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::_Node_base | ( | node_type | type | ) |
| inline

Definition at line 108 of file pat_trie_base.hpp.

## Member Data Documentation

## ◆ m_p_parent

template<typename _ATraits, typename Metadata>

node_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_p_parent

Definition at line 105 of file pat_trie_base.hpp.

## ◆ m_type

template<typename _ATraits, typename Metadata>

const node_type __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_type

Definition at line 106 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp